stages:
  - lint

# https://github.com/koalaman/shellcheck/wiki
bash lint:
  stage: lint
  image: koalaman/shellcheck-alpine:stable
  before_script:
    - shellcheck --version
  script:
    - find . -type f -iname '*.*sh' -exec shellcheck '{}' +
  only:
    changes:
      - "**/*.*sh"
